Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jms
Class TopicPublisherSessionFactory

    java.lang.Object
      com.atomikos.jms.MessageProducerSessionFactory
          com.atomikos.jms.TopicPublisherSessionFactory

    public class TopicPublisherSessionFactory

extends MessageProducerSessionFactory

A factory for TopicPublisherSession objects.

Topic functionality in this product was sponsored by Webtide.

Constructor Summary
`TopicPublisherSessionFactory()`

Method Summary
`protected MessageProducerSession` | `createMessageProducerSession()` Creates a new message producer session.
`TopicPublisherSession` | `createTopicPublisherSession()` Creates a new topic publisher session.
`javax.jms.Topic` | `getReplyToTopic()` Gets the topic to reply to (if any).
`javax.jms.Topic` | `getTopic()` Gets the topic to send to.
`TopicConnectionFactoryBean` | `getTopicConnectionFactoryBean()` Gets the topic connection factory.
`void` | `setReplyToTopic(javax.jms.Topic topic)` Sets the topic to reply to (optional).
`void` | `setTopic(javax.jms.Topic topic)` Sets the topic to send to (required).
`void` | `setTopicConnectionFactoryBean(TopicConnectionFactoryBean factory)` Sets the topic connection factory to use (required).

Methods inherited from class com.atomikos.jms.MessageProducerSessionFactory
`getDeliveryMode, getDestination, getPassword, getPriority, getReplyToDestination, getTimeToLive, getUser, setDeliveryMode, setDestination, setPassword, setPriority, setReplyToDestination, setTimeToLive, setUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopicPublisherSessionFactory

    public TopicPublisherSessionFactory()

Method Detail

### setTopicConnectionFactoryBean

    public void setTopicConnectionFactoryBean(TopicConnectionFactoryBean factory)

  Sets the topic connection factory to use (required).

  Parameters:
    `factory` -

### getTopicConnectionFactoryBean

    public TopicConnectionFactoryBean getTopicConnectionFactoryBean()

  Gets the topic connection factory.

  Returns:

### setTopic

    public void setTopic(javax.jms.Topic topic)

  Sets the topic to send to (required).

  Parameters:
    `topic` -

### getTopic

    public javax.jms.Topic getTopic()

  Gets the topic to send to.

  Returns:

### setReplyToTopic

    public void setReplyToTopic(javax.jms.Topic topic)

  Sets the topic to reply to (optional).

  Parameters:
    `topic` -

### getReplyToTopic

    public javax.jms.Topic getReplyToTopic()

  Gets the topic to reply to (if any).

  Returns:
    Null if no topic was set or if the replyTo destination is a queue instead of a topic.

### createTopicPublisherSession

    public TopicPublisherSession createTopicPublisherSession()

  Creates a new topic publisher session.

  Returns:

### createMessageProducerSession

    protected MessageProducerSession createMessageProducerSession()

  Description copied from class: `MessageProducerSessionFactory`
  Creates a new message producer session.

  Specified by:
    `createMessageProducerSession` in class `MessageProducerSessionFactory`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.